from django.core.management.base import BaseCommand
from django.contrib.auth import get_user_model
import sys

class Command(BaseCommand):
    help = 'Give Admin rights to existing user'

    def add_arguments(self, parser):
        parser.add_argument('username', type=str)
        parser.add_argument('--superuser', action='store_true')

    def handle(self, *args, **options):
        user = get_user_model().objects.get(username=options['username'])
        user.is_staff = True

        if options['superuser']:
            user.is_superuser = True

        user.save()

        print(f"{user.username} is now admin (superuser={user.is_superuser})")
